html{
    scroll-behavior: smooth;
}

body {
    background-color: rgb(255, 179, 0);
    font-family: 'Courier New', Courier, monospace;
    margin: 0;
    padding: 0;
}

#progression {
    height: 20px;
    width: 100%;
    background-color: rgb(255, 179, 0);
    position: fixed;
    top: 0px;
    left: 0px;
}

header{
    position: fixed;
    width: 40%;
    height: 100vh;
    background-color:rgb(255, 179, 0);
    padding: 20px;  
    box-sizing: border-box;
}

h1{
    font-size: x-large;
}

h2{
    font-size: large;
    font-weight: lighter;
}

#menu_principal ul{
    margin: 0;
    padding: 0;
    padding-top: 150%;
}

#menu_principal ul li{
    border-bottom: 1.5px dashed rgb(0, 0, 0);
    list-style-type:none;
    line-height: 25px;
    color:  rgb(0, 0, 0);
    font-size: medium;
    padding-top: 7px;
}

#menu_principal ul li a {
    color:  rgb(0, 0, 0);
    text-decoration: none;
}
#menu_principal ul li a:hover{
color:rgb(255, 1, 120);
}

main{
    width: 60%;
    background-color: rgb(255, 255, 255);
        margin-left: 40%;
    color:rgb(0, 0, 0);
    padding-left: 12%;
    padding-top: 20%;
}

/* raccourci : main > * = main h1, main h2, main p */
main > * {
max-width: 10vw;
min-width: 400px;
}
.souligne{
    border-bottom:1px solid rgb(0, 0, 0);
}
.note{
    margin-right:-70%; /* positionnement à partir de la marge droite, en négatif (petit hack) */
    float: right; /* cette propriété permet de sortir la note du flux */
    max-width: 200px;
    font-size: 15px;
    color:rgb(0, 0, 0);
    
}

main a{
    color: black;
}

